aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorGary Thomas <gary@mlbassoc.com>2014-02-24 17:11:48 +0000
committerRichard Purdie <richard.purdie@linuxfoundation.org>2014-03-11 08:10:43 -0700
commit4474357faf2cbca250e99630d749776fbc80d44b (patch)
tree311ae131818cc4e7276df867890ef9e71f8c932e
parentcac863e958a0c8fe0f8a84dc194273c699f0c40f (diff)
downloadopenembedded-core-contrib-4474357faf2cbca250e99630d749776fbc80d44b.tar.gz
scripts/oe-setup-builddir: Keep track of TEMPLATECONF setting
Keeping track of the TEMPLATECONF variable in the build tree will let this script produce the same output when listing 'conf-notes.txt' every time the script is run, regardless of whether or not TEMPLATECONF has been provided by the user. Note that the default value for TEMPLATECONF now comes from an easily customizable file $OEROOT/.templateconf Signed-off-by: Gary Thomas <gary@mlbassoc.com> Signed-off-by: Saul Wold <sgw@linux.intel.com> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
-rwxr-xr-xscripts/oe-setup-builddir10
1 files changed, 9 insertions, 1 deletions
diff --git a/scripts/oe-setup-builddir b/scripts/oe-setup-builddir
index a869fdc7c0..e4356f1551 100755
--- a/scripts/oe-setup-builddir
+++ b/scripts/oe-setup-builddir
@@ -37,7 +37,15 @@ fi
cd "$BUILDDIR"
-TEMPLATECONF=${TEMPLATECONF:-meta/conf}
+if (test -f "$BUILDDIR/conf/templateconf.cfg") then
+ TEMPLATECONF=$(cat $BUILDDIR/conf/templateconf.cfg)
+fi
+
+source $OEROOT/.templateconf
+
+if ! (test -f "$BUILDDIR/conf/templateconf.cfg") then
+ echo "$TEMPLATECONF" >$BUILDDIR/conf/templateconf.cfg
+fi
#
# $TEMPLATECONF can point to a directory for the template local.conf & bblayers.conf
85' href='#n185'>185 186 187 188 189 190 191 192 193 194 195 196 197 198 199 200 201 202 203 204 205 206 207 208 209 210 211 212 213 214 215 216 217 218 219 220 221 222 223 224 225 226 227 228 229 230 231 232 233 234 235 236 237 238 239 240 241 242 243 244 245 246 247 248 249 250 251 252 253 254 255 256 257 258 259 260 261 262 263 264 265 266 267 268 269 270 271 272 273 274 275 276